package main

import (
	"git.nightmare.haus/rudi/chessv2"
	"github.com/rudi9719/loggy"
	"time"
)

// Game is just a struct of type Game
type Game struct {
	Game      chess.Game
	StartTime time.Time
	ConvID    string
	White     string
	Black     string
	Move      bool
}

// Config struct for restarting game
type Config struct {
	Games map[string]Game
	LogOpts 	  loggy.LogOpts
}